{% sw_extends '@Storefront/storefront/page/product-detail/index.html.twig' %}

{# ToDo: Freitextfeld mit Anzahl von Bildern anlegen, dafür ist die Variable maxStock in zeile 43 #}
{# ToDo: Cross-Selling? #}

{% block page_product_detail %}
    <div class="product-detail"
         itemscope
         itemtype="https://schema.org/Product">
        {% block page_product_detail_inner %}
            {% block page_product_detail_content %}
                <div class="product-detail-content bg-white px-md-5 py-md-5">
                    {% block page_product_detail_breadcrumb %}{% endblock %}
                    {% block page_product_detail_headline %}{% endblock %}

                    {% set mediaItems = page.product.media.media %}

                    {% block page_product_detail_main %}
                        <div class="row product-detail-main">
                            {% block page_product_detail_media %}
                                <div class="col-lg-5 col-xl-7 product-detail-media">
                                    {% if page.product.media %}
                                        {% sw_include '@Storefront/storefront/element/cms-element-image-gallery.html.twig' with {
                                            'mediaItems': mediaItems,
                                            'zoom': true,
                                            'zoomModal': true,
                                            'displayMode': 'contain',
                                            'gutter': 5,
                                            'minHeight': '430px',
                                            'navigationArrows': 'inside',
                                            'navigationDots': 'inside',
                                            'galleryPosition': 'left',
                                            'isProduct': true,
                                            'fallbackImageTitle': page.product.translated.name,
                                            'startIndexThumbnails': page.product.cover.position + 1,
                                            'startIndexSlider': page.product.cover.position + 1
                                        } %}
                                    {% endif %}

                                </div>
                            {% endblock %}

                            {% block page_product_detail_buy %}
                            
                            	{% set sales = page.product.stock|trim %}
								{% set maxStock = page.product.stock+3|trim %}
                                                        
                                <div class="mt-3 mt-md-0 col-lg col-xl-5 product-detail-buy">
                                	{% block page_product_detail_stats %}
										<div class="product-stats my-3 mb-lg-0 text-center text-lg-left">
											<div class="product-visits mr-2 d-inline-flex align-items-center">
												{% sw_icon 'eye-open' style { 'size': 'lg' } %} <span class="mx-3">97</span>
											</div>
											<div class="product-buys d-inline-flex">{% sw_icon 'shop' style { 'size': 'lg', 'class': 'danger' } %} <span class="mx-3">{{(sales-maxStock+sales)}}/{{page.product.availableStock}}</span></div>
										</div>
									{% endblock %}
                                
                                	{% sw_include '@Storefront/storefront/page/product-detail/headline.html.twig' %}
                                	<h3>made by XYZ</h3>
                                	
                                    {% sw_include '@Storefront/storefront/page/product-detail/buy-widget.html.twig' %}
                                    
                                    {% block page_product_detail_vip_werden %}
                                    	<div class="product-detail-vip p-4 rounded text-center">
                                    		<p>Sind Sie schon VIP Kunde?<br>Erhalten Sie Zugang zu echten 1 von 1 Unikaten!</p>
                                    		<button type="button" class="btn btn-gold btn-lg px-md-5 py-md-2">
                                    			Echter VIP werden!
                                    		</button>
                                    	</div>
                                    {% endblock %}
                                </div>
                            {% endblock %}
                        </div>
                    {% endblock %}
                </div>
                
            {% endblock %}

            {% block page_product_detail_tabs %}
			    <div class="product-detail-tabs bg-lightblue p-3 p-md-5">
			        {% sw_include '@Storefront/storefront/page/product-detail/tabs.html.twig' %}
			    </div>
			{% endblock %}

            {% block page_product_detail_benefits %}
            	<div class="detail-benefits my-4 my-md-5 px-md-0 d-flex flex-column flex-md-row justify-content-lg-between align-items-center">
            		<div class="media flex-column flex-md-row flex-lg-column flex-xl-row align-self-md-stretch bg-yellow mb-3 mb-md-0 p-3 py-md-4 p-lg-5">
            			<div class="media-image align-self-center rounded-circle p-md-4 mb-3 mb-md-0 mb-lg-3 mb-xl-0 mr-md-4 d-inline-flex align-items-center justify-content-center">
            				{% sw_icon 'eye-open' style { 'size': 'lg' } %}
            			</div>
            			<div class="media-body align-self-center text-center text-md-left">
            				<p>Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy!</p>
            			</div>
            		</div>
            		<div class="media flex-column flex-md-row flex-lg-column flex-xl-row bg-mindgreen p-3 py-md-4 p-lg-5">
            			<div class="media-image align-self-center rounded-circle p-md-4 mb-3 mb-md-0 mb-lg-3 mb-xl-0 mr-md-4 d-inline-flex align-items-center justify-content-center">
            				{% sw_icon 'shield' style { 'size': 'lg' } %}
            			</div>
            			<div class="media-body align-self-center text-center text-md-left">
            				<h5 class="mt-0">Unser Versprechen an Sie!</h5>
            				<p>Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy!</p>
            			</div>
            		</div>
            	</div>
            	
            	<div class="detail-benefits mb-md-4 mb-xl-5 p-3 p-md-5 bg-lightblue">
            		<h2 class="text-uppercase mb-3 mb-md-4 text-center text-md-left">
            			Warum Walltaste so besonder ist,<br>erklären wir Ihnen hier!
            		</h2>
            		<div class="row px-md-5 py-md-4">
            			<div class="col-xs-12 col-lg-6 col-xl mb-4 mb-lg-4 mb-xl-0">
							<div class="media flex-column flex-md-row flex-lg-column flex-xl-row">
								<div class="media-image align-self-center rounded-circle bg-blue p-4 p-xl-5 mb-3 mb-md-0 mr-md-4 mb-lg-3 mr-lg-0 mb-xl-0 mr-xl-4 d-inline-flex align-items-center justify-content-center">
									{% sw_icon 'shield' style { 'size': 'lg','color': 'blue' } %}
								</div>
							    <div class="media-body align-self-center text-center text-md-left text-lg-center text-xl-left ">      
									<h3>100% echte Kunst</h3>
									<p>Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy</p>
							    </div>
							</div>
						</div>
						<div class="col-xs-12 col-lg-6 col-xl mb-4 mb-lg-4 mb-xl-0">
							<div class="media flex-column flex-md-row flex-lg-column flex-xl-row">
								<div class="media-image align-self-center rounded-circle bg-blue p-4 p-xl-5 mb-3 mb-md-0 mr-md-4 mb-lg-3 mr-lg-0 mb-xl-0 mr-xl-4 d-inline-flex align-items-center justify-content-center">
									{% sw_icon 'shield' style { 'size': 'lg', 'color': 'blue' } %}
								</div>
							    <div class="media-body align-self-center text-center text-md-left text-lg-center text-xl-left ">      
									<h3>100% echte Kunst</h3>
									<p>Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy</p>
							    </div>
							</div>
						</div>
						<div class="col-xs-12 col-lg mb-md-0">
							<div class="media flex-column flex-md-row flex-lg-column flex-xl-row">
								<div class="media-image align-self-center rounded-circle bg-blue p-4 p-xl-5 mb-3 mb-md-0 mr-md-4 mb-lg-3 mr-lg-0 mb-xl-0 mr-xl-4 d-inline-flex align-items-center justify-content-center">
									{% sw_icon 'shield' style { 'size': 'lg', 'color': 'blue' } %}
								</div>
							    <div class="media-body align-self-center text-center text-md-left text-lg-center text-xl-left ">      
									<h3>100% echte Kunst</h3>
									<p>Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy</p>
							    </div>
							</div>
						</div>
            		</div>
            	</div>
            	
            	{% block page_product_detail_cross_selling %}
            		{% if page.crossSellings.elements %}
				    	<div class="product-detail-tabs product-detail-cross-selling">
				    	    {% sw_include '@Storefront/storefront/page/product-detail/cross-selling/tabs.html.twig' with {
				    	        crossSellings: page.crossSellings
				    	    } only %}
				    	</div>
				    {% endif %}
				{% endblock %}
            	
            {% endblock %}

            
        {% endblock %}
    </div>
{% endblock %}
